## cr-string cr-string |

## Functions

CRString * | cr_string_new ()
CRString * | cr_string_new_from_string ()
CRString * | cr_string_new_from_gstring ()
CRString * | cr_string_dup ()
gchar * | cr_string_dup2 ()
const gchar * | cr_string_peek_raw_str ()
gint | cr_string_peek_raw_str_len ()
void | cr_string_destroy ()

## Types and Values

struct | CRString

## Description

## Functions

### cr_string_new ()

    CRString *
    cr_string_new (void);

### cr_string_new_from_string ()

    CRString *
    cr_string_new_from_string (const gchar *a_string);

### cr_string_new_from_gstring ()

    CRString *
    cr_string_new_from_gstring (GString const *a_string);

### cr_string_dup ()

    CRString *
    cr_string_dup (CRString const *a_this);

### cr_string_dup2 ()

    gchar *
    cr_string_dup2 (CRString const *a_this);

### cr_string_peek_raw_str ()

    const gchar *
    cr_string_peek_raw_str (CRString const *a_this);

### cr_string_peek_raw_str_len ()

    gint
    cr_string_peek_raw_str_len (CRString const *a_this);

### cr_string_destroy ()

    void
    cr_string_destroy (CRString *a_this);

## Types and Values

### struct CRString

    struct CRString {
    	/**
    	 *The GString where all the string
    	 *operation happen.
    	 */
    	GString *stryng ;
    	/**
    	 *The parsing location storage area.
    	 */
    	CRParsingLocation location ;
    };